Ya tenemos aquí la preview de Android P. Todavía es pronto para conocer cuales de sus características llegarán a la versión final y cuales se quedarán fuera. Al poder probar estas versiones preliminares, los usuarios pueden descubrir nuevas características. Una de estas es que Android P podría bloquear las aplicaciones realizadas para Android 4.1 o versiones anteriores.

Google se pone serio con la seguridad de las aplicaciones

En iOS es normal ver como de vez en cuando Apple limpia de aplicaciones no compatibles su tienda. Pero en la tienda de Google esto no era muy normal y podemos encontrar aplicaciones desarrolladas para un nivel de API realmente desfasado.

Google anunció recientemente que va a exigir que todas las aplicaciones que se suban a la Play Store tendrían que tener un nivel de API como mucho un año inferior a la versión que en ese momento este como superior. En otras palabras, cuando Android P salga al mercado, todas las aplicaciones que se suban a la Play Store tendrán que tener como mínimo la API de Android 8.0 Oreo.

Android P bloquear

Google también había afirmado que las futuras versiones de Android bloquarían la ejecución de las aplicaciones que no cumplieran un cierto requisito en cuanto a la API utilizada.

Hasta ahora no había ningún dato especifico que confirmara esto, pero con la preview de Android P liberada se ha descubierto una nueva clase MIN_SUPPORTED_TARGET_SDK_INT, que indica el nivel mínimo de API compatible que se puede utilizar en el dispositivo. Para Android P, el nivel mínimo de API es v17, que corresponde a Android 4.1.

En la versión que Google ha liberado de Android P, se muestra una advertencia cuando se abren aplicaciones antiguas, como se puede ver en el vídeo a continuación.

Fuente del Video: Android Police

No sabemos si en la versión final de Android P se bloquearán por completo las aplicaciones antiguas o simplemente nos saldrá esta advertencia en la pantalla.

La documentación del desarrollador para Android P dice, «Las aplicaciones que tienen valores más bajos fallarán al instalarse y ejecutarse.»

Existe un hilo en reddit al respecto, así que si estáis interesados en el tema, os invito a visitarlo.

Además, en este articulo, podéis conocer todas las novedades que traerá la última versión del sistema operativo de Google.

Si tienes Telegram y no te quieres perder ninguna de nuestras noticias, únete a nuestro canal: Telegram ElCamioneroGeek.es

avatar
  Suscribete a las respuestas  
Notificar...